Page MenuHomePhabricator

Improve default colour contrast between visited and unvisited links
Closed, DuplicatePublic

Description

I often find it hard to differentiate between links using Vector's default colours for visited: and unvisited links. My contrast analyser tool, CCA, tells me the difference between them fails WCAG's "AA" level test for contrast.

I know I can fix this with a local style sheet, but presumably it affects other users, too.

See discussion and comparison chart at: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)/Archive_171#Contrast_between_visited_&_unvisited_links

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2019, 3:48 PM

There is a similar proposal in T213778. Could this task be merged there?

There is a similar proposal in T213778. Could this task be merged there?

Related, but not the same.

T213778 covers contrast ratio so let's use/extend T213778 please.

Aklapper renamed this task from Improve default colour contrast between visited and unvisted links to Improve default colour contrast between visited and unvisited links.Sep 21 2019, 10:00 PM
alexhollender reopened this task as Open.Sep 24 2019, 9:16 PM
alexhollender added a subscriber: alexhollender.

@Pigsonthewing after thinking about it a bit more I think it's necessary to discuss both improvements together. I've updated T213778 to include the issue described in this task. Please let me know if I missed anything.